package com.tzld.piaoquan.growth.common.dao.mapper;

import com.tzld.piaoquan.growth.common.model.po.GuaranteesVideo;
import com.tzld.piaoquan.growth.common.model.po.GuaranteesVideoExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface GuaranteesVideoMapper {
    long countByExample(GuaranteesVideoExample example);

    int deleteByExample(GuaranteesVideoExample example);

    int deleteByPrimaryKey(Long id);

    int insert(GuaranteesVideo record);

    int insertSelective(GuaranteesVideo record);

    List<GuaranteesVideo> selectByExample(GuaranteesVideoExample example);

    GuaranteesVideo selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") GuaranteesVideo record, @Param("example") GuaranteesVideoExample example);

    int updateByExample(@Param("record") GuaranteesVideo record, @Param("example") GuaranteesVideoExample example);

    int updateByPrimaryKeySelective(GuaranteesVideo record);

    int updateByPrimaryKey(GuaranteesVideo record);
}